# Supported Devices Table

## \<SupportedDeviceTable /> [(preview)](https://react.seam.co/?path=/docs/components-supporteddevicetable--docs)

The supported device table enables you to filter, sort, and view all the devices compatible with Seam. You can use this table to indicate the devices that your platform supports.

```tsx
{/* Show all devices from all manufacturers */}
<SupportedDeviceTable />

{/* Show devices from a single manufacturer by name */}
<SupportedDeviceTable manufacturers={["August"]} />

{/* Show devices from specific manufacturers by name */}
<SupportedDeviceTable manufacturers={["August", "NoiseAware"]} />

{/* Show devices from specific manufacturers by ID */}
<SupportedDeviceTable manufacturers={[
  "August=cfe546ca-7a99-48e0-a665-4304dca85b4e",
  "NoiseAware=34a8fd85-9ea4-4175-b6db-491e7457bcab",
]} />
```

{% @seam-gitbook-plugin-v2/seam-component content="" %}

### Props

<table><thead><tr><th width="184">Name</th><th width="100.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>disableFilter</code></td><td>boolean<br><em>Optional</em></td><td>Hide the controls to filter the table. Default: <code>false</code></td></tr><tr><td><code>manufacturers</code></td><td>array<br><em>Optional</em></td><td>Only show devices from specified manufacturers.</td></tr><tr><td><code>excludedManufacturers</code></td><td>array<br><em>Optional</em></td><td>Hide devices from specified manufacturers.</td></tr><tr><td><code>className</code></td><td>string<br><em>Optional</em></td><td>Class name to add to the containing element of the rendered component.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/ui-components/overview/react-components/supported-devices-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
